﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.ComponentModel;

namespace xamGrid
{
    public class MainWindowViewModel
    {
        private ObservableCollection<ComplexObject> _liste = new ObservableCollection<ComplexObject>();
        private CollectionViewSource _viewsource = new CollectionViewSource();
    
        public MainWindowViewModel()
        {
            _liste.Add(new ComplexObject() { AbschlagEinbehalte = 0.00M, Antragsdatum = new DateTime(2009,3,23), Antragsstatus = "Antrag aus Datenubernahme", AuszuzahlenderBetrag = 0.00M, Eingangsdatum = new DateTime(2009,3,31), FaelligkeitsDatum =new DateTime(2009,4,10), SummeEigenbehalte = 0.00M, });
            _liste.Add(new ComplexObject() { AbschlagEinbehalte = 129.65M, Antragsdatum = new DateTime(2011, 6, 20), Antragsstatus = "Antrag aus Datenubernahme", AuszuzahlenderBetrag = 129.65M, Eingangsdatum = new DateTime(2011, 7, 7), FaelligkeitsDatum = new DateTime(2011, 7, 17), SummeEigenbehalte = 0.00M, });
            _liste.Add(new ComplexObject() { AbschlagEinbehalte = 0.00M, Antragsdatum = new DateTime(2010,3,14), Antragsstatus = "Antrag zum Druck", AuszuzahlenderBetrag = 219.00M, Eingangsdatum = new DateTime(2012,3,15), FaelligkeitsDatum = new DateTime(2012,3,25), SummeEigenbehalte = 180.00M, });
            _liste.Add(new ComplexObject() { AbschlagEinbehalte = 117.35M, Antragsdatum = new DateTime(2009, 10, 7), Antragsstatus = "Antrag aus Datenubernahme", AuszuzahlenderBetrag = 117.35M, Eingangsdatum = new DateTime(2009, 10, 9), FaelligkeitsDatum = new DateTime(2009, 10, 19), SummeEigenbehalte = 0.00M, });
            _liste.Add(new ComplexObject() { AbschlagEinbehalte = 0.00M, Antragsdatum = new DateTime(2012, 3, 15), Antragsstatus = "Antrag in Bearbeitung", AuszuzahlenderBetrag = 353.11M, Eingangsdatum = new DateTime(2012, 3, 16), FaelligkeitsDatum = new DateTime(2009, 3, 26), SummeEigenbehalte = 0.00M, });
            _liste.Add(new ComplexObject() { AbschlagEinbehalte = 0.00M, Antragsdatum = new DateTime(2010, 9, 14), Antragsstatus = "Antrag aus Datenubernahme", AuszuzahlenderBetrag = 0.00M, Eingangsdatum = new DateTime(2011, 12, 15), FaelligkeitsDatum = new DateTime(2011, 12, 25), SummeEigenbehalte = 0.00M, });

            this._viewsource.Source = this._liste;
            //this._viewsource.GroupDescriptions.Add(new PropertyGroupDescription("Antragsstatus"));
            //this._viewsource.SortDescriptions.Add(new SortDescription("Antragsstatus", ListSortDirection.Ascending));
        }

        public ICollectionView Liste
        {
            get
            {
                return this._viewsource.View;
            }
        }

        public void Refresh()
        {
            this._viewsource.View.Refresh();
        }
    }

    public class GroupByHeaderConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
